#
# spec file for package ghc-imm
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name imm
Name:           ghc-%{pkg_name}
Version:        1.2.0.0
Release:        lp150.1.14
Summary:        Execute arbitrary actions for each unread element of RSS/Atom feeds
License:        WTFPL
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-HaskellNet-SSL-devel
BuildRequires:  ghc-HaskellNet-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-ansi-wl-pprint-devel
BuildRequires:  ghc-atom-conduit-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-chunked-data-devel
BuildRequires:  ghc-comonad-devel
BuildRequires:  ghc-conduit-combinators-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-connection-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-dyre-devel
BuildRequires:  ghc-fast-logger-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-free-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-http-client-tls-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-mime-mail-devel
BuildRequires:  ghc-mono-traversable-devel
BuildRequires:  ghc-monoid-subclasses-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-opml-conduit-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-rainbow-devel
BuildRequires:  ghc-rainbox-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-rss-conduit-devel
BuildRequires:  ghc-safe-exceptions-devel
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-timerep-devel
BuildRequires:  ghc-tls-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-uri-bytestring-devel
BuildRequires:  ghc-xml-conduit-devel
BuildRequires:  ghc-xml-devel
BuildRequires:  ghc-xml-types-devel

%description
Execute arbitrary actions for each unread element of RSS/Atom feeds.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%{_bindir}/%{pkg_name}

%files devel -f %{name}-devel.files
%doc README.md

%changelog
* Tue Sep  5 2017 psimons@suse.com
- Update to version 1.2.0.0 revision 1.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 1.2.0.0.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.1.0.0 with cabal2obs.
* Mon Sep 26 2016 psimons@suse.com
- Update to version 1.0.1.0 revision 1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.0.1.0 revision 0 with cabal2obs.
